VectorLinux
November 22, 2014, 11:07:20 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: mounting pendrive and floppy in 5.1 std --help!  (Read 2994 times)
curchunflo
Member
*
Posts: 23


« on: June 15, 2007, 04:25:20 pm »

Hi there! I´m tryn to find the way to mount a pendrive and a floppy disk with a normal user (not root). I´ve checked the device mount in vasm and i have pendrive and floppy in the list. When i init root session i can open the pendrive by clicking on the pendrive icon in icewm+desk but in a normal user sesion i cant. In the floppy case i cant open it in anyway... so... what must i do for automatic mounting at init??? Thankyou very much, i´ve searched in the forum, but nothing seems to adjust (and my english -as you can see- sucks!!! hehehe) a hug,

curchunflo
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2290


« Reply #1 on: June 16, 2007, 08:45:00 pm »

You could try throug VASM, with the pendrive plugged. I am not at my box rigth now, but there is an option to mount a device at startup, yours should look like /dev/sd*. Then you need to select the mountpoint, could be something like /mnt/pendrive. BTW, my pendrive is automounted nicely with vl-hot, a desktop icon appears (thanks, joe  Smiley). You could try to upgrade your vl-hot package.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Joe1962
Administrator
Vectorian
*****
Posts: 2499



WWW
« Reply #2 on: June 16, 2007, 09:48:34 pm »

IIRC, 5.1 Standard still used the old usbmount, vl-hot started out in 5.1 SOHO, but working from hotplug, not from udev.
Logged

O'Neill (RE the Asgard): "Usually they ask nicely before they ignore us and do what they damn well please."
http://joe1962.bigbox.info
Running: VL 7 Std 64 + self-cooked XFCE-4.10
curchunflo
Member
*
Posts: 23


« Reply #3 on: June 17, 2007, 01:11:51 pm »

Ooops! it seems we have a problem! I need some way to mount devices in a easy way. I´ve installed VL in a public access machine... i´m trying to migrate that machine from window$ to linux, so if i cant mount easily a pendrive or a floppy disc the people wont use VL!! I cant update cause that pc has only 128 ram. How can i make a desktop icon on icewm for mounting usb? Also its rare that if i init root sesion i can use the icon in the desktop for open the pendrive (not the floppy, i cant do that in with any user) but it isnt possible with a normal user (i recieve an alert with a text like "you have not permision" or something like that). When i start VL i can see the hotplug failed alert... well... any suggestions??? thankyou again!
Logged
Joe1962
Administrator
Vectorian
*****
Posts: 2499



WWW
« Reply #4 on: June 17, 2007, 02:34:16 pm »

FWIW, 5.8 Standard works great on 128 MB RAM.
Logged

O'Neill (RE the Asgard): "Usually they ask nicely before they ignore us and do what they damn well please."
http://joe1962.bigbox.info
Running: VL 7 Std 64 + self-cooked XFCE-4.10
curchunflo
Member
*
Posts: 23


« Reply #5 on: June 17, 2007, 02:48:33 pm »

thanks! i´ll try it this week. I´m downloading VL 5.8 std now. I had read somewhere that 5.1 was for 128 ram and 5.8 needs 256 at least... can somebody confirm it?Huh Than you!

curchunflo
Logged
easuter
Global Moderator
Vectorian
*****
Posts: 2160



« Reply #6 on: June 17, 2007, 02:59:32 pm »

thanks! i´ll try it this week. I´m downloading VL 5.8 std now. I had read somewhere that 5.1 was for 128 ram and 5.8 needs 256 at least... can somebody confirm it?Huh Than you!

curchunflo

In VL 5.8 using Xfce 4.4, while idle the memory consumption is roughly 45MB. Thats a pretty safe margin!
On my laptop for example (also only has 128mb ram), I have fluxbox installed and use it instead of Xfce, and then the memory usage while idle is more or less 22MB!

As long as you don't intend on using heavy apps like OpenOffice and 3d games, the you should be fine with 128mb of ram Smiley
Logged

curchunflo
Member
*
Posts: 23


« Reply #7 on: June 17, 2007, 03:01:18 pm »

thank you! i´ll try it. BTW, there is some way to swich from 5.1 to 5.8 like an actualization/upgrade/update? or i have to format and reinstall???
Logged
easuter
Global Moderator
Vectorian
*****
Posts: 2160



« Reply #8 on: June 17, 2007, 03:03:29 pm »

thank you! i´ll try it. BTW, there is some way to swich from 5.1 to 5.8 like an actualization/upgrade/update? or i have to format and reinstall???

Not really...there are some major differences between VL 5.1 and VL 5.8, the best would be to do a clean installation.
« Last Edit: June 17, 2007, 05:48:11 pm by easuter » Logged

rbistolfi
Packager
Vectorian
****
Posts: 2290


« Reply #9 on: June 17, 2007, 03:13:24 pm »

You can keep your /home if you have it in a separated partition.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Joe1962
Administrator
Vectorian
*****
Posts: 2499



WWW
« Reply #10 on: June 17, 2007, 03:16:32 pm »

Dang! I remembered a FAQ on the old Forum and went looking for it. If you are still interested in getting this working in 5.1 and are willing to "get your hands dirty", have a read through this:
http://www.vectorlinux.com/forum1/index.php?topic=7604.0


EDIT: Just checked and my website redirection is down, so here is the direct URL:
http://jjrweb.byethost.com/vl/dev/usb-mount/0.95/

EDIT2: Redirect is back up, I rather think it was a glitch in my connection, as a few other sites were giving me problems.
« Last Edit: June 17, 2007, 05:18:33 pm by Joe1962 » Logged

O'Neill (RE the Asgard): "Usually they ask nicely before they ignore us and do what they damn well please."
http://joe1962.bigbox.info
Running: VL 7 Std 64 + self-cooked XFCE-4.10
curchunflo
Member
*
Posts: 23


« Reply #11 on: June 17, 2007, 05:45:14 pm »

thankyou both, i´ll try keeping 5.1 first, and if i cant... welcome 5.8! a hug,

curchunflo
Logged
lagagnon
Global Moderator
Vectorian
*****
Posts: 1922



WWW
« Reply #12 on: June 17, 2007, 09:26:32 pm »

...BTW, there is some way to swich from 5.1 to 5.8 like an actualization/upgrade/update? or i have to format and reinstall???
Sorry, you will have to reinstall - too many changes to enable any sort of upgrade to be anywhere's near stable. You can keep your home partition though and not reformat it during install so you won't loose any of that...
Logged

"As people become more intelligent they care less for preachers and more for teachers". Robert G. Ingersoll
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!